Class CompositeHealthCheck (1.101.0)

public final class CompositeHealthCheck extends GeneratedMessage implements CompositeHealthCheckOrBuilder

Represents a composite health check.

A composite health check resource specifies the health source resources and the health destination resource to which the aggregated health result from the health source resources is delivered.

Protobuf type google.cloud.compute.v1.CompositeHealthCheck

Static Fields

CREATION_TIMESTAMP_FIELD_NUMBER

public static final int CREATION_TIMESTAMP_FIELD_NUMBER
Field Value
Type Description
int

DESCRIPTION_FIELD_NUMBER

public static final int DESCRIPTION_FIELD_NUMBER
Field Value
Type Description
int

FINGERPRINT_FIELD_NUMBER

public static final int FINGERPRINT_FIELD_NUMBER
Field Value
Type Description
int

HEALTH_DESTINATION_FIELD_NUMBER

public static final int HEALTH_DESTINATION_FIELD_NUMBER
Field Value
Type Description
int

HEALTH_SOURCES_FIELD_NUMBER

public static final int HEALTH_SOURCES_FIELD_NUMBER
Field Value
Type Description
int

ID_FIELD_NUMBER

public static final int ID_FIELD_NUMBER
Field Value
Type Description
int

KIND_FIELD_NUMBER

public static final int KIND_FIELD_NUMBER
Field Value
Type Description
int

NAME_FIELD_NUMBER

public static final int NAME_FIELD_NUMBER
Field Value
Type Description
int

REGION_FIELD_NUMBER

public static final int REGION_FIELD_NUMBER
Field Value
Type Description
int
public static final int SELF_LINK_FIELD_NUMBER
Field Value
Type Description
int
public static final int SELF_LINK_WITH_ID_FIELD_NUMBER
Field Value
Type Description
int

Static Methods

getDefaultInstance()

public static CompositeHealthCheck getDefaultInstance()
Returns
Type Description
CompositeHealthCheck

getDescriptor()

public static final Descriptors.Descriptor getDescriptor()
Returns
Type Description
Descriptor

newBuilder()

public static CompositeHealthCheck.Builder newBuilder()
Returns
Type Description
CompositeHealthCheck.Builder

newBuilder(CompositeHealthCheck prototype)

public static CompositeHealthCheck.Builder newBuilder(CompositeHealthCheck prototype)
Parameter
Name Description
prototype CompositeHealthCheck
Returns
Type Description
CompositeHealthCheck.Builder

parseDelimitedFrom(InputStream input)

public static CompositeHealthCheck parseDelimitedFrom(InputStream input)
Parameter
Name Description
input InputStream
Returns
Type Description
CompositeHealthCheck
Exceptions
Type Description
IOException

parseDelimitedFrom(InputStream input, ExtensionRegistryLite extensionRegistry)

public static CompositeHealthCheck parseDelimitedFrom(InputStream input, ExtensionRegistryLite extensionRegistry)
Parameters
Name Description
input InputStream
extensionRegistry ExtensionRegistryLite
Returns
Type Description
CompositeHealthCheck
Exceptions
Type Description
IOException

parseFrom(byte[] data)

public static CompositeHealthCheck parseFrom(byte[] data)
Parameter
Name Description
data byte[]
Returns
Type Description
CompositeHealthCheck
Exceptions
Type Description
InvalidProtocolBufferException

parseFrom(byte[] data, ExtensionRegistryLite extensionRegistry)

public static CompositeHealthCheck parseFrom(byte[] data, ExtensionRegistryLite extensionRegistry)
Parameters
Name Description
data byte[]
extensionRegistry ExtensionRegistryLite
Returns
Type Description
CompositeHealthCheck
Exceptions
Type Description
InvalidProtocolBufferException

parseFrom(ByteString data)

public static CompositeHealthCheck parseFrom(ByteString data)
Parameter
Name Description
data ByteString
Returns
Type Description
CompositeHealthCheck
Exceptions
Type Description
InvalidProtocolBufferException

parseFrom(ByteString data, ExtensionRegistryLite extensionRegistry)

public static CompositeHealthCheck parseFrom(ByteString data, ExtensionRegistryLite extensionRegistry)
Parameters
Name Description
data ByteString
extensionRegistry ExtensionRegistryLite
Returns
Type Description
CompositeHealthCheck
Exceptions
Type Description
InvalidProtocolBufferException

parseFrom(CodedInputStream input)

public static CompositeHealthCheck parseFrom(CodedInputStream input)
Parameter
Name Description
input CodedInputStream
Returns
Type Description
CompositeHealthCheck
Exceptions
Type Description
IOException

parseFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)

public static CompositeHealthCheck parseFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)
Parameters
Name Description
input CodedInputStream
extensionRegistry ExtensionRegistryLite
Returns
Type Description
CompositeHealthCheck
Exceptions
Type Description
IOException

parseFrom(InputStream input)

public static CompositeHealthCheck parseFrom(InputStream input)
Parameter
Name Description
input InputStream
Returns
Type Description
CompositeHealthCheck
Exceptions
Type Description
IOException

parseFrom(InputStream input, ExtensionRegistryLite extensionRegistry)

public static CompositeHealthCheck parseFrom(InputStream input, ExtensionRegistryLite extensionRegistry)
Parameters
Name Description
input InputStream
extensionRegistry ExtensionRegistryLite
Returns
Type Description
CompositeHealthCheck
Exceptions
Type Description
IOException

parseFrom(ByteBuffer data)

public static CompositeHealthCheck parseFrom(ByteBuffer data)
Parameter
Name Description
data ByteBuffer
Returns
Type Description
CompositeHealthCheck
Exceptions
Type Description
InvalidProtocolBufferException

parseFrom(ByteBuffer data, ExtensionRegistryLite extensionRegistry)

public static CompositeHealthCheck parseFrom(ByteBuffer data, ExtensionRegistryLite extensionRegistry)
Parameters
Name Description
data ByteBuffer
extensionRegistry ExtensionRegistryLite
Returns
Type Description
CompositeHealthCheck
Exceptions
Type Description
InvalidProtocolBufferException

parser()

public static Parser<CompositeHealthCheck> parser()
Returns
Type Description
Parser<CompositeHealthCheck>

Methods

equals(Object obj)

public boolean equals(Object obj)
Parameter
Name Description
obj Object
Returns
Type Description
boolean
Overrides

getCreationTimestamp()

public String getCreationTimestamp()

Output only. [Output Only] Creation timestamp inRFC3339 text format.

optional string creation_timestamp = 30525366;

Returns
Type Description
String

The creationTimestamp.

getCreationTimestampBytes()

public ByteString getCreationTimestampBytes()

Output only. [Output Only] Creation timestamp inRFC3339 text format.

optional string creation_timestamp = 30525366;

Returns
Type Description
ByteString

The bytes for creationTimestamp.

getDefaultInstanceForType()

public CompositeHealthCheck getDefaultInstanceForType()
Returns
Type Description
CompositeHealthCheck

getDescription()

public String getDescription()

An optional description of this resource. Provide this property when you create the resource.

optional string description = 422937596;

Returns
Type Description
String

The description.

getDescriptionBytes()

public ByteString getDescriptionBytes()

An optional description of this resource. Provide this property when you create the resource.

optional string description = 422937596;

Returns
Type Description
ByteString

The bytes for description.

getFingerprint()

public String getFingerprint()

Fingerprint of this resource. A hash of the contents stored in this object. This field is used in optimistic locking. This field will be ignored when inserting a CompositeHealthCheck. An up-to-date fingerprint must be provided in order to patch the CompositeHealthCheck; Otherwise, the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve the CompositeHealthCheck.

optional string fingerprint = 234678500;

Returns
Type Description
String

The fingerprint.

getFingerprintBytes()

public ByteString getFingerprintBytes()

Fingerprint of this resource. A hash of the contents stored in this object. This field is used in optimistic locking. This field will be ignored when inserting a CompositeHealthCheck. An up-to-date fingerprint must be provided in order to patch the CompositeHealthCheck; Otherwise, the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve the CompositeHealthCheck.

optional string fingerprint = 234678500;

Returns
Type Description
ByteString

The bytes for fingerprint.

getHealthDestination()

public String getHealthDestination()

URL to the destination resource. Must be set. Must be aForwardingRule. The ForwardingRule must have load balancing scheme INTERNAL orINTERNAL_MANAGED and must be regional and in the same region as the CompositeHealthCheck (cross-region deployment forINTERNAL_MANAGED is not supported). Can be mutated.

optional string health_destination = 311098027;

Returns
Type Description
String

The healthDestination.

getHealthDestinationBytes()

public ByteString getHealthDestinationBytes()

URL to the destination resource. Must be set. Must be aForwardingRule. The ForwardingRule must have load balancing scheme INTERNAL orINTERNAL_MANAGED and must be regional and in the same region as the CompositeHealthCheck (cross-region deployment forINTERNAL_MANAGED is not supported). Can be mutated.

optional string health_destination = 311098027;

Returns
Type Description
ByteString

The bytes for healthDestination.

getHealthSources(int index)

public String getHealthSources(int index)

URLs to the HealthSource resources whose results are AND'ed. I.e. he aggregated result is is HEALTHY only if all sources are HEALTHY. Must have at least 1. Must not have more than 10. Must be regional and in the same region as theCompositeHealthCheck. Can be mutated.

repeated string health_sources = 397879509;

Parameter
Name Description
index int

The index of the element to return.

Returns
Type Description
String

The healthSources at the given index.

getHealthSourcesBytes(int index)

public ByteString getHealthSourcesBytes(int index)

URLs to the HealthSource resources whose results are AND'ed. I.e. he aggregated result is is HEALTHY only if all sources are HEALTHY. Must have at least 1. Must not have more than 10. Must be regional and in the same region as theCompositeHealthCheck. Can be mutated.

repeated string health_sources = 397879509;

Parameter
Name Description
index int

The index of the value to return.

Returns
Type Description
ByteString

The bytes of the healthSources at the given index.

getHealthSourcesCount()

public int getHealthSourcesCount()

URLs to the HealthSource resources whose results are AND'ed. I.e. he aggregated result is is HEALTHY only if all sources are HEALTHY. Must have at least 1. Must not have more than 10. Must be regional and in the same region as theCompositeHealthCheck. Can be mutated.

repeated string health_sources = 397879509;

Returns
Type Description
int

The count of healthSources.

getHealthSourcesList()

public ProtocolStringList getHealthSourcesList()

URLs to the HealthSource resources whose results are AND'ed. I.e. he aggregated result is is HEALTHY only if all sources are HEALTHY. Must have at least 1. Must not have more than 10. Must be regional and in the same region as theCompositeHealthCheck. Can be mutated.

repeated string health_sources = 397879509;

Returns
Type Description
ProtocolStringList

A list containing the healthSources.

getId()

public long getId()

Output only. [Output Only] A unique identifier for this resource type. The server generates this identifier.

optional uint64 id = 3355;

Returns
Type Description
long

The id.

getKind()

public String getKind()

Output only. [Output Only] Type of the resource. Alwayscompute#compositeHealthCheck for composite health checks.

optional string kind = 3292052;

Returns
Type Description
String

The kind.

getKindBytes()

public ByteString getKindBytes()

Output only. [Output Only] Type of the resource. Alwayscompute#compositeHealthCheck for composite health checks.

optional string kind = 3292052;

Returns
Type Description
ByteString

The bytes for kind.

getName()

public String getName()

Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply withRFC1035. Specifically, the name must be 1-63 characters long and match the regular expression a-z? which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.

optional string name = 3373707;

Returns
Type Description
String

The name.

getNameBytes()

public ByteString getNameBytes()

Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply withRFC1035. Specifically, the name must be 1-63 characters long and match the regular expression a-z? which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.

optional string name = 3373707;

Returns
Type Description
ByteString

The bytes for name.

getParserForType()

public Parser<CompositeHealthCheck> getParserForType()
Returns
Type Description
Parser<CompositeHealthCheck>
Overrides

getRegion()

public String getRegion()

Output only. [Output Only] URL of the region where the composite health check resides. This field applies only to the regional resource. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body.

optional string region = 138946292;

Returns
Type Description
String

The region.

getRegionBytes()

public ByteString getRegionBytes()

Output only. [Output Only] URL of the region where the composite health check resides. This field applies only to the regional resource. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body.

optional string region = 138946292;

Returns
Type Description
ByteString

The bytes for region.

public String getSelfLink()

Output only. [Output Only] Server-defined URL for the resource.

optional string self_link = 456214797;

Returns
Type Description
String

The selfLink.

getSelfLinkBytes()

public ByteString getSelfLinkBytes()

Output only. [Output Only] Server-defined URL for the resource.

optional string self_link = 456214797;

Returns
Type Description
ByteString

The bytes for selfLink.

getSelfLinkWithId()

public String getSelfLinkWithId()

Output only. [Output Only] Server-defined URL with id for the resource.

optional string self_link_with_id = 44520962;

Returns
Type Description
String

The selfLinkWithId.

getSelfLinkWithIdBytes()

public ByteString getSelfLinkWithIdBytes()

Output only. [Output Only] Server-defined URL with id for the resource.

optional string self_link_with_id = 44520962;

Returns
Type Description
ByteString

The bytes for selfLinkWithId.

getSerializedSize()

public int getSerializedSize()
Returns
Type Description
int
Overrides

hasCreationTimestamp()

public boolean hasCreationTimestamp()

Output only. [Output Only] Creation timestamp inRFC3339 text format.

optional string creation_timestamp = 30525366;

Returns
Type Description
boolean

Whether the creationTimestamp field is set.

hasDescription()

public boolean hasDescription()

An optional description of this resource. Provide this property when you create the resource.

optional string description = 422937596;

Returns
Type Description
boolean

Whether the description field is set.

hasFingerprint()

public boolean hasFingerprint()

Fingerprint of this resource. A hash of the contents stored in this object. This field is used in optimistic locking. This field will be ignored when inserting a CompositeHealthCheck. An up-to-date fingerprint must be provided in order to patch the CompositeHealthCheck; Otherwise, the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve the CompositeHealthCheck.

optional string fingerprint = 234678500;

Returns
Type Description
boolean

Whether the fingerprint field is set.

hasHealthDestination()

public boolean hasHealthDestination()

URL to the destination resource. Must be set. Must be aForwardingRule. The ForwardingRule must have load balancing scheme INTERNAL orINTERNAL_MANAGED and must be regional and in the same region as the CompositeHealthCheck (cross-region deployment forINTERNAL_MANAGED is not supported). Can be mutated.

optional string health_destination = 311098027;

Returns
Type Description
boolean

Whether the healthDestination field is set.

hasId()

public boolean hasId()

Output only. [Output Only] A unique identifier for this resource type. The server generates this identifier.

optional uint64 id = 3355;

Returns
Type Description
boolean

Whether the id field is set.

hasKind()

public boolean hasKind()

Output only. [Output Only] Type of the resource. Alwayscompute#compositeHealthCheck for composite health checks.

optional string kind = 3292052;

Returns
Type Description
boolean

Whether the kind field is set.

hasName()

public boolean hasName()

Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply withRFC1035. Specifically, the name must be 1-63 characters long and match the regular expression a-z? which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.

optional string name = 3373707;

Returns
Type Description
boolean

Whether the name field is set.

hasRegion()

public boolean hasRegion()

Output only. [Output Only] URL of the region where the composite health check resides. This field applies only to the regional resource. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body.

optional string region = 138946292;

Returns
Type Description
boolean

Whether the region field is set.

public boolean hasSelfLink()

Output only. [Output Only] Server-defined URL for the resource.

optional string self_link = 456214797;

Returns
Type Description
boolean

Whether the selfLink field is set.

hasSelfLinkWithId()

public boolean hasSelfLinkWithId()

Output only. [Output Only] Server-defined URL with id for the resource.

optional string self_link_with_id = 44520962;

Returns
Type Description
boolean

Whether the selfLinkWithId field is set.

hashCode()

public int hashCode()
Returns
Type Description
int
Overrides

internalGetFieldAccessorTable()

protected GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()
Returns
Type Description
FieldAccessorTable
Overrides

isInitialized()

public final boolean isInitialized()
Returns
Type Description
boolean
Overrides

newBuilderForType()

public CompositeHealthCheck.Builder newBuilderForType()
Returns
Type Description
CompositeHealthCheck.Builder

newBuilderForType(AbstractMessage.BuilderParent parent)

protected CompositeHealthCheck.Builder newBuilderForType(AbstractMessage.BuilderParent parent)
Parameter
Name Description
parent BuilderParent
Returns
Type Description
CompositeHealthCheck.Builder
Overrides

toBuilder()

public CompositeHealthCheck.Builder toBuilder()
Returns
Type Description
CompositeHealthCheck.Builder

writeTo(CodedOutputStream output)

public void writeTo(CodedOutputStream output)
Parameter
Name Description
output CodedOutputStream
Overrides
Exceptions
Type Description
IOException